using System;
using System.Collections.Generic;
using System.ComponentModel;
using APT.Infrastructure.Core;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 部门岗位人员
    /// </summary>
    [Description("部门岗位人员")]
    public partial class T_FM_DEPARTMENT_POST_USER : MesEntityBase
    {
        /// <summary>
        /// 编码，即为登入账号  Nav_User.CODE
        /// </summary>
        [Description("编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        /// <summary>
        /// 姓名 Nav_User.NAME
        /// </summary>
        [Description("姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 部门岗位ID
        /// </summary>
        [Description("部门岗位")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_DepartmentPost", "Nav_Users")]
        public Guid DEPARTMENT_POST_ID { get; set; }

        /// <summary>
        /// 导航：部门岗位
        /// </summary>
        [Description("导航：部门岗位")]
        public virtual T_FM_DEPARTMENT_POST Nav_DepartmentPost { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 人员
        /// </summary>
        [Description("导航：人员")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
